﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace Demo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {


            map.MapUnit = GeographyUnit.Meter;
            map.CurrentExtent = new RectangleShape(-10000000, 10000000, 10000000, -10000000); ;
            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(@"..\..\App_Data\cntry02.shp", System.IO.FileAccess.Read);
            var x = layer.FeatureSource.CanExecuteSqlQuery;



            layer.FeatureSource.ProjectionConverter = new ProjectionConverter(4326, 3857);
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyle.CreateSimpleAreaStyle(GeoColors.Red);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            LayerOverlay lo = new LayerOverlay();

           lo.Layers.Add(layer);
            map.Overlays.Add(lo);

            map.BackgroundOverlay.BackgroundBrush = GeoBrushes.AliceBlue;
            map.Refresh();


            //map.MapUnit = GeographyUnit.Meter;
            //OpenStreetMapOverlay osmOverlay = new OpenStreetMapOverlay();
            //map.Overlays.Add("Open Street Map", osmOverlay);
            //map.BackgroundOverlay.BackgroundBrush = GeoBrushes.AliceBlue;
            //map.Refresh();

            //GoogleMapsOverlay googleMapOverlay = new GoogleMapsOverlay();
            //googleMapOverlay.IsVisible = false;
            //map.Overlays.Add("Google Maps", googleMapOverlay);

            //BingMapsOverlay bingMapOverlay = new BingMapsOverlay();
            //bingMapOverlay.ApplicationId = ""; //Please set your application id.
            //bingMapOverlay.IsVisible = false;
            //map.Overlays.Add("Bing Maps", bingMapOverlay);

            //OpenStreetMapOverlay osmOverlay = new OpenStreetMapOverlay();
            //osmOverlay.IsVisible = false;
            //map.Overlays.Add("Open Street Map", osmOverlay);

        }

        private void TrackOverlay_TrackEnded(object sender, TrackEndedTrackInteractiveOverlayEventArgs e)
        {

           // throw new NotImplementedException();
        }
    }
}
